Bug 117057 - not unified warning dialog about firebird migration across platforms
Summary: not unified warning dialog about firebird migration across platforms
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected
Depends on:
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-04-17 08:31 UTC by Xisco Faulí
Modified: 2018-04-18 15:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Windows (7.30 KB, image/png)
2018-04-17 08:31 UTC, Xisco Faulí
Details
GTK2 (13.89 KB, image/png)
2018-04-17 08:31 UTC, Xisco Faulí
Details
GTK3 (13.15 KB, image/png)
2018-04-17 08:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-04-17 08:31:11 UTC
Created attachment 141416 [details]
Windows

Steps to reproduce:
1. Open attachment 141322 [details] from bug 116982
2. Click on table

-> The warning dialog looks inconsistent

Reproduced in

Version: 6.1.0.0.alpha0+
Build ID: b36ea44dcbdb862b0ac6e6cdaf27225b43dc0c7e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

The dialog was introduced in

author	Tamas Bunth <tamas.bunth@collabora.co.uk>	2018-04-14 15:00:40 +0200
committer	Tamás Bunth <btomi96@gmail.com>	2018-04-14 21:14:50 +0200
commit	5b0ceb86c342754d8f4e83408c7ae0da0e3931d3 (patch)
tree	ab4be91c5c2f9753e2ffec249f0b9c0ef0bf097a
parent	f7d155e71dec5024f2d06dcf3697d1dcf505716a (diff)
tdf#116944 Warn user before database migration
Warn user with a pop-up dialog before migration.
Comment 1 Xisco Faulí 2018-04-17 08:31:28 UTC
Created attachment 141417 [details]
GTK2
Comment 2 Xisco Faulí 2018-04-17 08:31:43 UTC
Created attachment 141418 [details]
GTK3
Comment 3 Heiko Tietze 2018-04-17 08:44:47 UTC
Yes, wrong dialog layout in dbaccess/uiconfig/ui/migrwarndlg.ui. Should be like in sfx2/uiconfig/ui/querysavedialog.ui. Confirmative action (Yes) on the right, left hand the cancel operation "Later", focused and the default.
Comment 4 Commit Notification 2018-04-17 14:37:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b5f85447fd17d18f05f8d4a292ee6ac381f4252

Resolves: tdf#117057 use same style warning as elsewhere

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-04-18 15:28:32 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: b07e8a7e16ba69e822a309ec280d1987f90021a3
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Caolán, thanks for fixing this!!